/* ----------------------------------------------------------------------------

   FrutJUCE
   ========
   Common classes for use with the JUCE library

   Copyright (c) 2010-2020 Martin Zuther (http://www.mzuther.de/)

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.

   Thank you for using free software!

---------------------------------------------------------------------------- */

#ifndef FRUT_AMALGAMATED_WIDGETS_H
#define FRUT_AMALGAMATED_WIDGETS_H


// pre includes
#include "../widgets/orientation.h"
#include "../widgets/resources/resources.h"
#include "../widgets/slider.h"

// normal includes
#include "../widgets/channel_slider.h"
#include "../widgets/meter_segment.h"
#include "../widgets/meter_segment_continuous.h"
#include "../widgets/meter_segment_discrete.h"
#include "../widgets/needle_meter.h"
#include "../widgets/signal_led.h"
#include "../widgets/slider_combined.h"
#include "../widgets/slider_continuous.h"
#include "../widgets/slider_switch.h"
#include "../widgets/slider_switch_linear_bar.h"
#include "../widgets/state_label.h"
#include "../widgets/window_about_content.h"
#include "../widgets/window_settings_content.h"
#include "../widgets/window_skin_content.h"
#include "../widgets/window_validation_content.h"

// post includes
#include "../widgets/meter_bar.h"


#endif  // FRUT_AMALGAMATED_WIDGETS_H
